Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Utilities for managing filesystem extended attributes.
Name: 		attr
Version: 	2.4.46
Release: 	1
BuildRoot: 	%{_tmppath}/%{name}-root
Source:		http://download.savannah.gnu.org/releases/attr/attr-%{version}.src.tar.gz
License: 	GPL
URL: 		http://oss.sgi.com/projects/xfs/
Group: 		System/Base
BuildRequires: 	autoconf, libtool >= 1.5, gettext

# gzip is needed for compression of man-pages
BuildRequires: gzip

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n libattr
Summary: 	Dynamic library for extended attribute support.
Group: 		System/Libraries
License: 	LGPL
Requires(Pre):  /sbin/ldconfig

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%package -n libattr-devel
Summary: Extended attribute static libraries and headers.
Group: Development/Libraries
License: LGPL
Requires: libattr

%description -n libattr-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Currently only ext2, ext3 and XFS support extended attributes.
The SGI IRIX compatibility API built above the Linux system calls is
used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

You should install libattr-devel if you want to develop programs
which make use of extended attributes.  If you install libattr-devel,
you'll also want to install attr.

%prep
%setup -q

%build
# can`t use configure macro here as it mangles --prefix
./configure     --prefix=/ --sbindir=/sbin \
		--bindir=/usr/sbin \
%ifarch i686
		--libdir=/lib \
		--libexecdir=/usr/lib \
%endif
%ifarch x86_64
		--libdir=/lib64 \
		--libexecdir=/usr/lib64 \
%endif
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--datadir=/usr/share\
		--enable-lib64

make DEBUG=-DNDEBUG LIBTOOL="$PWD/libtool" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make LIBTOOL="$PWD/libtool" install install-dev install-lib DIST_ROOT=$RPM_BUILD_ROOT

# get rid of static library and libtool archive
rm -v $RPM_BUILD_ROOT/%{_lib}/libattr.{,l}a

# fix permissions
chmod 0755 $RPM_BUILD_ROOT/%{_lib}/libattr.so.*.*.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libattr -p /sbin/ldconfig

%postun -n libattr -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/attr
%{_sbindir}/getfattr
%{_sbindir}/setfattr
%{_datadir}/doc/attr
%{_mandir}/man1/attr.1.gz
%{_mandir}/man1/getfattr.1.gz
%{_mandir}/man1/setfattr.1.gz
%{_mandir}/man5/attr.5.gz

%files -n libattr-devel
%defattr(-,root,root)
/%{_lib}/libattr.so
%{_includedir}/attr
%{_libdir}/libattr.*
%{_mandir}/man2/*attr.2.gz
%{_mandir}/man3/attr_*.3.gz

%files -n libattr
/%{_lib}/libattr.so.*

%changelog
* Mon Jun 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.4.46-1
- Version update, prepared for ccux-ng
* Thu Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.43-1
- Version update
* Mon Oct 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 2.4.39-1
- Version update
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.32-1
- Initital release
